#
# spec file for package python-asttokens
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2019-2021 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
%define skip_python36 1
%{?sle15_python_module_pythons}
Name:           python-asttokens
Version:        2.4.1
Release:        1.1
Summary:        Annotate AST trees with source code positions
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/gristlabs/asttokens
Source:         https://files.pythonhosted.org/packages/source/a/asttokens/asttokens-%{version}.tar.gz
BuildRequires:  %{python_module astroid}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 44}
BuildRequires:  %{python_module setuptools_scm >= 3.4.3}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module toml}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
## Manual Begin
Requires:       python-six
## Manual End
BuildArch:      noarch
%python_subpackages

%description
Annotate AST trees with source code positions

%prep
%autosetup -n asttokens-%{version}

%build
export LC_ALL=en_US.utf8
%python_build

%install
export LC_ALL=en_US.utf8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not TestAstroid'

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Oct 27 2023 ecsos <ecsos@opensuse.org>
- Update to version 2.4.1
  * Support Astroid v3
* Mon Sep 18 2023 Dirk Müller <dmueller@suse.com>
- update to 2.4.0:
  * no upstream changelog available
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Dec  5 2022 ecsos <ecsos@opensuse.org>
- Update to version 2.2.1
  * Test 3.11
- Update to version 2.2.0
  * Fixes for newer astroid versions
* Thu Dec  1 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 2.1.0
  * Merge pull request #93 from gristlabs/unmarked2
    ASTText class that doesn't require tokens
* Fri Sep 23 2022 ecsos <ecsos@opensuse.org>
- Update to version 2.0.8:
  * Merge pull request #90 from palfrey/fix-explicit-import
  * Fix mypy explicit re-export issues
- Changes from version 2.0.7:
  * Merge pull request #87 from gristlabs/astroid-type-checking
  * Fix astroid type checking import errors
* Fri Sep 23 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.0.8
  * Merge pull request #90 from palfrey/fix-explicit-import
  * Fix mypy explicit re-export issues
- Update to 2.0.7
  * Merge pull request #87 from gristlabs/astroid-type-checking
  * Fix astroid type checking import errors
* Fri Nov 19 2021 ecsos <ecsos@opensuse.org>
- Fix build error for Leap outside repo d:l:p.
- Disable build of python2 and python36.
  End of support since: python2 (2020-01-01), python36 (2021-12-23)
- Insert reuired versions for required python-modules.
* Sun Sep  5 2021 malcolmlewis@opensuse.org
- Updated to version 2.0.5:
  * Add 3.9 support.
- Drop py39.patch as this is upstreamed.
- Skip failed test for the moment - TestAstroid.
* Fri Apr 16 2021 Markéta Machová <mmachova@suse.com>
- Add patch py39.patch to fix build with Python 3.9
* Thu Nov 12 2020 malcolmlewis@opensuse.org
- Updated to version 2.0.4:
  * Fix for Python 3.9 keyword arguments.
  * Don't verify slice nodes.
  * Test 3.9 in tox and travis.
- Changes from version 2.0.3:
  * Bump patch version.
* Wed Jan  8 2020 malcolmlewis@opensuse.org
- Disable python2 build.
* Tue Nov 19 2019 malcolmlewis@opensuse.org
- Initial build at version 2.0.2.
